Page MenuHome

Copy and Paste UV Coordinate (Update to 2.0)
ClosedPublic

Authored by Nutti (Nutti) on Dec 26 2014, 2:53 PM.

Details

Summary

Update "Copy and Paste UV Coordinate" plugin to 2.0.
Before committing to blender's git repos, this add-on should be reviewed.

Wikipage: http://wiki.blender.org/index.php/Extensions:2.6/Py/Scripts/UV/Copy_Paste_UVs
D.B.O: https://developer.blender.org/T38460

Diff Detail

Event Timeline

Nutti (Nutti) retitled this revision from to Copy and Paste UV Coordinate (Update to 2.0).Dec 26 2014, 2:53 PM
Nutti (Nutti) updated this object.
Nutti (Nutti) updated this revision to Diff 3046.

Many cool great features. Waiting for positive review. :)

Campbell Barton (campbellbarton) accepted this revision.
Campbell Barton (campbellbarton) added inline comments.
uv_copy_and_paste_uv.py
77

This script over uses global IMHO. would pass as arguments instead

506

Wary of remove in can be slow, though this list shouldnt be too large

This revision is now accepted and ready to land.Jan 21 2015, 3:46 PM

Fixed code.

uv_copy_and_paste_uv.py
77

Thanks for your review.

I have a question about this comment.
How should I pass as arguments which shared between classes?

For example, src_sel_face_info must be shared between CopyAndPasteUVCopyUV and CopyAndPasteUVPasteUV.

Nutti (Nutti) closed this revision.Apr 3 2015, 4:14 PM